public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/bashdb/
Date: Thu, 09 Jan 2025 00:28:35 +0000 (UTC)	[thread overview]
Message-ID: <1736382095.6cf9f15700ecffad5ae8b6dc2d8365881848a47d.sam@gentoo> (raw)

commit:     6cf9f15700ecffad5ae8b6dc2d8365881848a47d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  9 00:21:00 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  9 00:21:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cf9f157

app-shells/bashdb: add 5.1_pre20240617

bashdb for newer bash versions doesn't (yet?) have tags, so we
take snapshots. Make sure to pick the right branch.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-shells/bashdb/Manifest                      |  1 +
 app-shells/bashdb/bashdb-5.1_pre20240617.ebuild | 52 +++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-shells/bashdb/Manifest b/app-shells/bashdb/Manifest
index 591e254211b6..0e3336423438 100644
--- a/app-shells/bashdb/Manifest
+++ b/app-shells/bashdb/Manifest
@@ -1,2 +1,3 @@
 DIST bashdb-4.4-1.0.0-missing-test-files.tar.xz 996 BLAKE2B 7ea67884cceda11559cf49355645cad2cfd485537643ad2fa05398518f498163596b6f591756bedd0e7b7e013fed3c6a031e245d15cd0cf316d42ef4f5c8b3e6 SHA512 e19d41569c2001ce026e4c5f80cc21c81651ff9980be059236c45e215162769ceda266eb46aa4199000e377c0bb53dec98fa1b7c5290459c412f21329b3589a5
 DIST bashdb-5.0-1.1.2.tar.bz2 574210 BLAKE2B 6de1cac2cb66022f60ab7f0385361762fedee56c26729f22acb070e24a7bcf317700fb5db314c1592b8f9ccf9f7d07bfc80afd5fc88a753d0ad2954325a7f078 SHA512 32ff6d315e8cf9d59485802d5284fde53fa2d9f40ec238428a479f8a1ed1359e9bea2946b192b78534e7ac835491d5d64d73f536c8dfa93583b4c6d55d4d4545
+DIST bashdb-5.1_pre20240617.gh.tar.gz 690536 BLAKE2B b8c736ea16f90c14ebcbe06ae6dcdcc8187161e94ca5672f9078366161afec77bd54e95f0782ec4204f6997b173844f288d9cd39a03539e83447fcdc33cc6545 SHA512 748de6d3a7a30ce59269ec953f3d2ee71d50a92038001f3a74ef758225d77de6db906945936a20439869442ac995001ef26c394050d6e73f5a1c288022faaaec

diff --git a/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild b/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild
new file mode 100644
index 000000000000..aa4a37d1a14e
--- /dev/null
+++ b/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${PN}-${PV:0:3}-${PV:4}"
+DESCRIPTION="bash source code debugging"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+
+if [[ ${PV} == *_pre* ]] ; then
+	inherit autotools
+
+	# bashdb for newer bash versions doesn't (yet?) have tags, so we
+	# take snapshots. Make sure to pick the right branch.
+	BASHDB_COMMIT="11150b3bee22215632143942ade99b5f2441c4ca"
+	SRC_URI="
+		https://github.com/Trepan-Debuggers/bashdb/archive/${BASHDB_COMMIT}.tar.gz -> ${P}.gh.tar.gz
+	"
+	S="${WORKDIR}"/${PN}-${BASHDB_COMMIT}
+else
+	SRC_URI="
+		https://downloads.sourceforge.net/bashdb/${MY_P}.tar.bz2
+	"
+	S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+DEPEND="app-shells/bash:${PV:0:3}"
+RDEPEND="${DEPEND}"
+
+# test-bug-loc fails with formatting differences
+RESTRICT="test"
+
+src_prepare() {
+	default
+
+	[[ ${PV} == *_pre* ]] && eautoreconf
+
+	# We don't install this, so don't bother building it. #468044
+	sed -i 's:texi2html:true:' doc/Makefile.in || die
+}
+
+src_configure() {
+	# This path matches the bash sources.  If we ever change bash,
+	# we'll probably have to change this to match (bug #591994).
+	CONFIG_SHELL="${BROOT}"/bin/bash econf \
+		--with-bash="${EPREFIX}"/bin/bash-${PV:0:3} \
+		--with-dbg-main='$(PKGDATADIR)/bashdb-main.inc'
+}


             reply	other threads:[~2025-01-09  0:28 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-09  0:28 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-25  7:56 [gentoo-commits] repo/gentoo:master commit in: app-shells/bashdb/ Sam James
2025-01-09 10:21 Sam James
2025-01-09  0:28 Sam James
2025-01-09  0:28 Sam James
2025-01-09  0:08 Sam James
2025-01-09  0:08 Sam James
2024-07-01 18:55 Mike Gilbert
2021-06-16 18:11 Lars Wendler
2020-05-13 13:19 Agostino Sarubbo
2020-05-08 17:13 Agostino Sarubbo
2020-05-06  7:01 Sergei Trofimovich
2020-05-04 15:28 Agostino Sarubbo
2020-05-03 13:07 Thomas Deutschmann
2020-05-01 13:23 Thomas Deutschmann
2019-10-16 11:19 Lars Wendler
2019-10-16 11:19 Lars Wendler
2019-10-03  8:14 Agostino Sarubbo
2019-10-03  8:12 Agostino Sarubbo
2019-10-02 19:08 Agostino Sarubbo
2019-10-02 18:53 Agostino Sarubbo
2018-12-22 19:22 Thomas Deutschmann
2018-11-14 21:58 Thomas Deutschmann
2017-09-17  2:18 Thomas Deutschmann
2016-12-07  8:18 Mike Frysinger
2016-12-07  8:18 Mike Frysinger
2016-12-06 22:24 Patrice Clement
2016-12-06 22:24 Patrice Clement
2016-04-27  9:03 Patrice Clement
2016-04-27  9:03 Patrice Clement
2015-10-16  7:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1736382095.6cf9f15700ecffad5ae8b6dc2d8365881848a47d.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox